Retrieve a Payment Intent

Path Parameters
  • id
    Type: string
    max length:  
    200
    required
Query Parameters
  • expand
    Type: array string[]
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/payment_intents/{id}
curl 'https://api.paypercut.io/v1/payment_intents/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "amount": 100,
  "capture_method": "automatic",
  "on_behalf_of": "string",
  "statement_descriptor": null,
  "setup_future_usage": "off_session",
  "payment_method": "01K688H80Z3199KETHDJ4ZAFPS",
  "customer": {
    "email": null,
    "name": null,
    "phone": null,
    "preferred_locales": [
      "string"
    ],
    "address": {
      "city": null,
      "country": null,
      "line1": null,
      "line2": null,
      "postal_code": null,
      "state": null
    },
    "invoice_settings": {
      "default_payment_method": "01K688H80Z3199KETHDJ4ZAFPS"
    },
    "created": "2026-04-02T14:45:59.065Z",
    "livemode": true,
    "id": "string",
    "payment_methods": [
      {
        "type": "card",
        "card": {
          "cardholder_name": null,
          "brand": "string",
          "country": null,
          "issuer": null,
          "display_brand": null,
          "exp_month": 1,
          "exp_year": 1,
          "fingerprint": null,
          "funding": "string",
          "segment": "string",
          "iin": "string",
          "last4": "string",
          "wallet": {
            "dynamic_last4": "[Max Depth Exceeded]",
            "type": "[Max Depth Exceeded]"
          },
          "three_d_secure_usage": {
            "supported": true
          }
        },
        "billing_details": {
          "email": null,
          "name": null,
          "phone": null,
          "address": {
            "city": null,
            "country": null,
            "line1": null,
            "line2": null,
            "postal_code": null,
            "state": null
          }
        },
        "metadata": {
          "additionalProperty": "string"
        },
        "customer": "string",
        "id": "string",
        "livemode": true,
        "created": "2026-04-02T14:45:59.065Z"
      }
    ]
  },
  "id": "21210021c2855007efa2d657018",
  "amount_capturable": 100,
  "amount_received": 100,
  "currency": {
    "iso": "usd",
    "scale": 2
  },
  "status": "canceled",
  "created": "2026-04-02T14:45:59.065Z",
  "livemode": true,
  "next_action": {
    "redirect_to_url": {
      "return_url": null,
      "url": null
    },
    "type": "string",
    "three_d_secure": {
      "flow": "frictionless",
      "status_url": "https://api.yourco.com/v1/payment_intents/pi_123",
      "return_url": null,
      "message": {
        "allowed_origins": [
          "https://merchant.example.com"
        ]
      },
      "hint": {
        "scheme": "visa",
        "version": "2.2.0"
      },
      "idempotency_key": "string"
    }
  },
  "latest_payment": "01K755J9SV2364REVHB915Z2FW",
  "cancellation_reason": "abandoned",
  "canceled_at": "2026-04-02T14:45:59.065Z"
}